Bug 154885 - the file /.autorelabel not created when enabling SELinux
the file /.autorelabel not created when enabling SELinux
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-04-14 14:01 EDT by Eric Paris
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-726
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 13:25:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2005-04-14 14:01:22 EDT
Description of problem:  When system-config-securitylevel is used to switch
SELinux from disabled to enabled the file /.autorelabel must be created. 
Systems which were installed or run for any time with selinux disabled will have
files with incorrect or no SELinux context.  This causes the system to work very
poorly if at all.

The existance of /.autorelabel is checked by rc.sysinit on bootup and relabels
all of the files on the FS with the best selinux labels it can.  We cannot
reasonably expect users to use the gui to change from disabled to enabled and
then to go to the command line and run "touch /.autorelabel"

Moving from enabled to disabled does not need any modification.  There also does
not need to be any changes when moving from enforcing to permissive or vice
versa.  This file only needs to be created when changing from disabled to enabled.


Version-Release number of selected component (if applicable):  Latest RHEL4 and FC4


How reproducible: Always


Steps to Reproduce:
1.  run system-config-securitylevel
2.  disable selinux
3.  enables selinux
4.  check for the existance of /.autorelabel
  
Actual results:
No file created

Expected results:
Empty /.autorelabel file created
Comment 6 Chris Lumens 2005-04-22 13:33:38 EDT
Package built.
Comment 13 Red Hat Bugzilla 2005-10-05 13:25:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-726.html

Note You need to log in before you can comment on or make changes to this bug.